- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# runas – Run As user

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Status

## Synopsis

- This become plugins allows your remote/login user to execute commands as another user via the windows runas facility.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_flags - | Default: "" | ini entries: [privilege_escalation] become_flags = [runas_become_plugin] flags = env:ANSIBLE_BECOME_FLAGS env:ANSIBLE_RUNAS_FLAGS var: ansible_become_flags var: ansible_runas_flags | Options to pass to runas, a space delimited list of k=v pairs
become_pass - |  | ini entries: [runas_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_RUNAS_PASS var: ansible_become_password var: ansible_become_pass var: ansible_runas_pass | password
become_user - / required |  | ini entries: [privilege_escalation] become_user = VALUE [runas_become_plugin] user = VALUE env:ANSIBLE_BECOME_USER env:ANSIBLE_RUNAS_USER var: ansible_become_user var: ansible_runas_user | User you 'become' to execute the task

## Notes

Note

- runas is really implemented in the powershell module handler and as such can only be used with winrm connections.

- This plugin ignores the ‘become_exe’ setting as it uses an API and not an executable.

- The Secondary Logon service (seclogon) must be running to use runas

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]

- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.